## CamelLocalSummary

CamelLocalSummary

## Functions

void | camel_local_summary_construct ()
gboolean | camel_local_summary_load ()
gint | camel_local_summary_check ()
gint | camel_local_summary_sync ()
CamelMessageInfo * | camel_local_summary_add ()
void | camel_local_summary_check_force ()
gchar * | camel_local_summary_encode_x_evolution ()
gint | camel_local_summary_decode_x_evolution ()
gint | camel_local_summary_write_headers ()

## Types and Values

struct | CamelLocalMessageInfo
struct | CamelLocalSummary

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelLocalSummary
                ├── CamelMaildirSummary
                ├── CamelMboxSummary
                ╰── CamelMhSummary

## Description

## Functions

### camel_local_summary_construct ()

    void
    camel_local_summary_construct (CamelLocalSummary *new,
                                   const gchar *local_name,
                                   CamelIndex *index);

### camel_local_summary_load ()

    gboolean
    camel_local_summary_load (CamelLocalSummary *cls,
                              gint forceindex,
                              GError **error);

### camel_local_summary_check ()

    gint
    camel_local_summary_check (CamelLocalSummary *cls,
                               CamelFolderChangeInfo *Param2,
                               GCancellable *cancellable,
                               GError **error);

### camel_local_summary_sync ()

    gint
    camel_local_summary_sync (CamelLocalSummary *cls,
                              gboolean expunge,
                              CamelFolderChangeInfo *Param3,
                              GCancellable *cancellable,
                              GError **error);

### camel_local_summary_add ()

    CamelMessageInfo *
    camel_local_summary_add (CamelLocalSummary *cls,
                             CamelMimeMessage *msg,
                             const CamelMessageInfo *info,
                             CamelFolderChangeInfo *Param4,
                             GError **error);

### camel_local_summary_check_force ()

    void
    camel_local_summary_check_force (CamelLocalSummary *cls);

### camel_local_summary_encode_x_evolution ()

    gchar *
    camel_local_summary_encode_x_evolution
                                   (CamelLocalSummary *cls,
                                    const CamelLocalMessageInfo *info);

### camel_local_summary_decode_x_evolution ()

    gint
    camel_local_summary_decode_x_evolution
                                   (CamelLocalSummary *cls,
                                    const gchar *xev,
                                    CamelLocalMessageInfo *info);

### camel_local_summary_write_headers ()

    gint
    camel_local_summary_write_headers (gint fd,
                                       struct _camel_header_raw *header,
                                       const gchar *xevline,
                                       const gchar *status,
                                       const gchar *xstatus);

Write a bunch of headers to the file `fd` . IF xevline is non NULL, then an X-Evolution header line is created at the end of all of the headers. If `status` is non NULL, then a Status header line is also written. The headers written are termianted with a blank line.

#### Returns

-1 on error, otherwise the number of bytes written.

## Types and Values

### struct CamelLocalMessageInfo

    struct CamelLocalMessageInfo {
    	CamelMessageInfoBase info;
    };

### struct CamelLocalSummary

    struct CamelLocalSummary;